namespace Wizard;

public class RegionCodeUpdateTask : BaseTask
{
	public class RegionCodeUpdateTaskParam : BaseParam
	{
		public int initialize_flag;
	}

	public RegionCodeUpdateTask()
	{
		base.type = ApiType.Type.RegionCodeUpdate;
	}

	public void SetParameter(int initialize_flag)
	{
		RegionCodeUpdateTaskParam regionCodeUpdateTaskParam = new RegionCodeUpdateTaskParam();
		regionCodeUpdateTaskParam.initialize_flag = initialize_flag;
		base.Params = regionCodeUpdateTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
